Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 603201 - condor-7.4.3-0.17.el5 postuninstall uses invalid init script option
condor-7.4.3-0.17.el5 postuninstall uses invalid init script option
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor (Show other bugs)
1.2
All Linux
medium Severity medium
: 1.3
: ---
Assigned To: Matthew Farrellee
Luigi Toscano
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-11 16:28 EDT by Scott Spurrier
Modified: 2018-10-27 09:27 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, The condor init script didn't implement a "condrestart" action, which was used in the rpm postuninstall script.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-14 12:13:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0773 normal SHIPPED_LIVE Moderate: Red Hat Enterprise MRG Messaging and Grid Version 1.3 2010-10-14 11:56:44 EDT

  None (edit)
Description Scott Spurrier 2010-06-11 16:28:16 EDT
Description of problem:

This is a nitpick QE/release-management thing for the latest condor bits.  The RPM's include a postinstall script that executes:

if [ "$1" -ge "1" ]; then
 /sbin/service condor condrestart >/dev/null 2>&1 || :
fi
/sbin/ldconfig


The condor init script doesn't actually implement a "condrestart" option.

How reproducible:

100%

Steps to Reproduce:

rpm -e condor
Comment 1 Matthew Farrellee 2010-06-11 16:32:49 EDT
Fixed in 7.4.3-0.19
Comment 2 Luigi Toscano 2010-06-22 13:27:48 EDT
condrestart action has been added to condor initscript.

Verified on condor-7.4.3-0.21, RHEL 4.8/5.5.
Comment 3 Florian Nadge 2010-10-07 14:31:27 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, The condor init script didn't implement a "condrestart" option. This update adds  an executing postinstall script.
Comment 4 Florian Nadge 2010-10-08 05:57:30 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-Previously, The condor init script didn't implement a "condrestart" option. This update adds  an executing postinstall script.+Previously, The condor init script didn't implement a "condrestart" option. This update adds an executing postinstall script.
Comment 5 Matthew Farrellee 2010-10-08 07:44:41 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-Previously, The condor init script didn't implement a "condrestart" option. This update adds an executing postinstall script.+Previously, The condor init script didn't implement a "condrestart" action, which was used in the rpm postuninstall script.
Comment 7 errata-xmlrpc 2010-10-14 12:13:20 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0773.html

Note You need to log in before you can comment on or make changes to this bug.